<?php
	// MK - Created 10/01/07

	include_once('../conn.php');
	include_once('../functions.php');

	$ctid = (isset($_GET['ctid'])) ? $_GET['ctid'] : 0;								// Category ID
	$ipp = (!empty($_GET['ipp'])) ? $_GET['ipp'] : 10;							// Items per Page
	$sort = (!empty($_GET['sort'])) ? $_GET['sort'] : 'nCategory_ID';
	$sortcat = (!empty($_GET['sortcat'])) ? $_GET['sortcat'] : 'ASC';
	$start = (!empty($_GET['start'])) ? $_GET['start'] : 0;	

	// Set QueryString Values after post
	if (isset($_POST['Update'])) {
		$ctid = $_POST['ctid'];
		$ipp = $_POST['ipp'];
		$sort = $_POST['sort'];
		$sortcat = $_POST['sortcat'];
		$start = $_POST['start'];
	}

	// Setup Options for Items per Page listing
	$aIPP = array('5', '10', '15', '20', '25', '50', '100');

	// Get Category List
	$sql = "SELECT * FROM tblcategories";
	$rs = mysql_query($sql);
	$list = "<option value='0'>Main Category</option>";
	while ($row = mysql_fetch_object($rs)) {
		$cat = ucwords($row->sCategoryName);
		$cat = (strpos(strtolower($cat), "category") === false) ? $cat." Category" : $cat;
		$selected = ($row->nCategory_ID == $ctid) ? 'selected' : '';
		$list .= sprintf("<option value='%d' %s>%s</option>", $row->nCategory_ID, $selected, $cat);
	}
	
	// Get Membership Levels
	$sql = "SELECT * FROM tblmembershiplevels";
	$rs = mysql_query($sql);
	while ($row = mysql_fetch_array($rs))
		$aLevel[] = $row;

	/***************************/
	/*     Process Category Actions		*/
	/***************************/
	
	// Add / Update Category
	if ($_POST['catadd']) {
		if (empty($_POST['catname'])) $message = "<span class='error'>Please enter a category name.</span>";
		// Check if this is an add or an update
		elseif ($_POST['catid'] == 0) {
			// Check if category name already exists
			$sql = sprintf("SELECT nCategory_ID FROM tblcategories WHERE sCategoryName = '%s'", $_POST['catname']);
			$rs = mysql_query($sql);
			if (mysql_num_rows($rs) > 0) $message = "<span class='error'>Category name already exists.  Please specify a new name.</span>";
			else {
				// Save new category
				$sql = sprintf("INSERT INTO tblcategories (sCategoryName) VALUES ('%s')", $_POST['catname']);
				mysql_query($sql);
				$message = "<span class='success'>Category has been added.</span>";
			}			
		} else {
			// Update Category Name
			$sql = sprintf("UPDATE tblcategories 
									SET sCategoryName = '%s'
									WHERE nCategory_ID = %d", $_POST['catname'], $_POST['catid']);
			mysql_query($sql);
			$message = "<span class='success'>Category has been updated.</span>";
		}
	}

	// DELETE CATEGORY
	if ($_GET['act'] == 'del') {
		$sql = sprintf("DELETE FROM tblcategories WHERE nCategory_ID = %d", $_GET['ctid']);
		mysql_query($sql);
		$sql = sprintf("DELETE FROM tblcategoryfile WHERE nCategory_ID = %d", $_GET['ctid']);
		mysql_query($sql);
		$message = "<span class='success'>Category has been removed.</span>";
	}

	// UPDATE CATEGORY DISPLAY
	if (!empty($_GET['display'])) {
		$sql = sprintf("UPDATE tblcategories SET bDisplay= %d WHERE nCategory_ID = %d", $_GET['display'], $_GET['id']);		
		mysql_query($sql);
	}
	
	// UPDATE MEMBERSHIP LEVEL
	if ( isset($_POST['Update']) ) {
		$dd = $_POST['dd'];				// nPage_ID
		$mLvl = $_POST['mlevel'];		// nLevel_ID
		for ($i = 0; $i < count($_POST['dd']); $i++) {
			$sql = sprintf("UPDATE tblcategories 
									SET nLevel_ID = %d
									WHERE nCategory_ID = %d", $mLvl[$i], $dd[$i]);
			mysql_query($sql);
		}
		$message = "<span class='success'>Category membership levels updated.</span>";
	}		
	
	if ($_GET['err'] == 1) $message = "<span class='error'>Please create a category.</span>";

?>
<html>
	<head>
		<title><?= $admintitle; ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="../style.css" />
		<style>
			.iconspacing {margin-right:2px}	
		</style>
		<script type="text/javascript">
			function cdel(w) {
				var sMsg = "Are you sure you want to DELETE the category \""+w+"\"?";
				return confirm(sMsg);
			}
			
			function editCategory(nID, sName) {
				oForm = document.forms.categoryadd;
				oForm.catname.value = sName;	
				oForm.catid.value = nID;
				sImg = (nID == 0) ? 'url(images/btn_categoryadd.gif)' : 'url(images/btn_categoryupdt.gif)';
				oForm.btncatadd.style.backgroundImage = sImg;
				oForm.btncancel.style.visibility = (nID==0) ? 'hidden' : 'visible' ;
				oForm.catname.focus();
				
			}

			function openPopup(page) {	
				window.open(page,'','height=265,width=650,scrollbars=yes,location=no,categories=no,status=no,menubar=no,toolbar=no,resizable=yes');
			}
			
			function MM_openBrWindow(theURL,winName,features) {
				window.open(theURL,winName,features);
			}
			
			function updateIPP(oList) {
				var ipp = oList.options[oList.selectedIndex].value;
				var qs = '?start=0';
				qs += '&ctid=<?= $ctid ?>';
				qs += '&sort=<?= $sort ?>';
				qs += '&sortcat=<?= $sortcat ?>';
				qs += '&ipp=' + ipp;
				document.location = 'page_management.php' + qs;
			}
		</script>
	</head>
	<body leftmargin="0" topmargin="0" rightmargin="0">

<!-- Include Navigation -->
<?php include_once('top.php'); ?>

<!-- Start Content -->
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<!-- START LEFT SIDE -->
		<td width="180" height="350" rowspan="2" valign="top" nowrap="nowrap" class="contentSide_members" style="padding: 8px;">
			<?php include_once('pageleft.php'); ?>
		</td>
		<!-- START RIGHT SIDE -->
		<?php
		
			/***************************/
			/*      MK - Updated 08/20/07			*/
			/***************************/
			
			$sql = "SELECT * FROM tblcategories ";
						
			$sql .= sprintf("ORDER BY %s %s ", $sort, $sortcat);

			// Get Count to pass into paging object
			$rs = mysql_query("SELECT COUNT(*) 
											FROM tblcategories "); 
			$row = $row = mysql_fetch_row($rs);
			$number = $row[0];
		
			// Start Paging
			/*********************************************************/
			include_once('paging.php');
			$objPaging = new Paging();
			
			unset($_GET['start']);
		 	
		 	$objPaging->Total_Records_Per_Page = $ipp; 
		 	$objPaging->Total_Records = $number;
		 	$index = $start ;
		 	$indexupto = $index + $objPaging->Total_Records_Per_Page;	 	
		 	$objPaging->prepare_ParameterString($_GET);
		 	$objPaging->set_Start_Item($indexupto); 	 		 	
		 	$objPaging->Has_First_Last = true;	
		 	$navigator = $objPaging->Create_Paging();
		 	$pageinfo = $objPaging->get_PageInfo();	 	
		  	$counter = 0;  
			$sql .= "LIMIT ".$objPaging->Total_Records_Per_Page." OFFSET ".$index;
			/*********************************************************/
			//echo $sql;

			$result = mysql_query($sql);
			
			// Put together QueryString
			$qs = sprintf("?ctid=%s&start=%s&ipp=%s", $ctid, $start, $ipp);			
			//echo $qs;
		?>
		<td style="height:40px; padding-left: 8px; padding-top: 8px; padding-right: 8px;" valign="top" width="100%">
			<table class="navTable" border="0" cellpadding="0" cellspacing="0" width="100%">
				<tr>
					<td class="navRow1" nowrap="nowrap">Category Management</td>
					<td class="navRow2" style="text-align:center"><?= $message ?>&nbsp;</td>
					<td class="navRow2" style="text-align:right; padding-right:20px">
						Items per page&nbsp;
						<select id='ipp' style='height:1.5em' onchange="updateIPP(this)">
							<?php
								foreach ($aIPP as $val) {
									$selected = ($val == $ipp) ? 'selected' : '';;
									echo "<option value='$val' $selected>$val</option>";
								}
							?>
						</select>
					</td>
				</tr>
			</table>
		</td>
	</tr>

	<tr>
		<td style="width:100%; padding-left: 8px; padding-right: 8px; vertical-align:top; padding-top:0px">
			<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" style="margin-top:0px">
				<tr>
					<td height="55" align="left" valign="top" bgcolor="#FFFFFF">
						<div align="justify">
							<table width="100%"  border="0" cellspacing="5" cellpadding="0">
								<tr>
									<td height="60" valign="top">
										<!-- START CONTENT AREA -->
										<table width="100%"  border="0" cellspacing="0" cellpadding="0">
											<tr>
												<td colspan="4" style="padding-left:5px">
													<!-- Category Add button -->
													<a href="category_edit.php">
														<img src="images/btn_categoryadd.gif" border="0">
													</a>	
													<!-- Category Files Add button -->
													<a href="category_addfiles.php" style="margin-left:150px">
														<img src="images/btn_categoryfilesadd.gif" border="0">
													</a>			
												</td>
											</tr>
											<tr>
												<td colspan="4" style="padding:5px; padding-top:10px">
													<span style="color:navy"><?= $number ?> categories</span>
												</td>
											</tr>
											<tr align="right" valign="top">
												<td height="20" colspan="4">
												<form name="form1" method="post" action="category_management.php">
												<!-- Hidden Fields for restoring variables after post -->
												<input type="hidden" name="ctid" value="<?=$ctid?>">
												<input type="hidden" name="ipp" value="<?=$ipp?>">
												<input type="hidden" name="sort" value="<?=$sort?>">
												<input type="hidden" name="sortcat" value="<?=$sortcat?>">
												<input type="hidden" name="start" value="<?=$start?>">
												<table width="100%" border="0" cellpadding="0" cellspacing="0" class="gridTable">
													<tr>
														<td valign="top">
														<table width="100%"  border="0" cellpadding="0" cellspacing="1">
															<!-- NAVIGATION -->
															<tr>
																<td colspan="3" class="gridFooter">
																	<table width="100%" border="0" cellspacing="0" cellpadding="0">
																		<tr>
																			<td style='text-align:left'>
																				<?= $navigator; 	?>
																			</td>
																			<td style='text-align:right; padding-right:10px'>
																				Page <?= $pageinfo ?>
																			</td>
																		</tr>
																	</table>
																</td>
															</tr>
															<!-- HEADINGS -->
															<tr valign="top">
																<td style="width:33%; height:25px; text-align:left; vertical-align:middle" class="gridHeader">
																	<? $sd = ($sort=='sCategoryTitle' && $sortcat=='ASC') ? 'DESC' : 'ASC'; ?>
																	<a href="category_management.php<?=$qs?>&sort=sCategoryName&sortcat=<?=$sd?>" class="bluenave">Category Title</a>
																</td>
																<td style="width:33%; height:25px; text-align:left; vertical-align:middle" class="gridHeader">
																	<? $sd = ($sort=='sCategoryName' && $sortcat=='ASC') ? 'DESC' : 'ASC'; ?>
																	<a href="category_management.php<?=$qs?>&sort=sCategoryName&sortcat=<?=$sd?>" class="bluenave">Merge Code</a>
																</td>
																<td style="width:33%; text-align:left; padding-left:20px; vertical-align:middle" class="gridHeader">Action</td>
																<!--
																<td align="center" valign="middle" class="gridHeader">
																	<? $sd = ($sort=='nLevel_ID' && $sortcat=='ASC') ? 'DESC' : 'ASC'; ?>
																	<a href="category_management.php<?=$qs?>&sort=nLevel_ID&sortcat=<?=$sd?>" class="bluenave">Membership Level</a>
																</td>
																-->
															</tr>

															<?
																// Add Sort to QueryString
																$qs .= sprintf("&sort=%s&type=%s", $_GET['sort'], $_GET['sortcat']);
															?>
																															
															<?php while ($row = mysql_fetch_object($result)) : ?>
															
															<!-- CATEGORY LISTING -->
															<tr valign="top">
																<!-- CATEGORY TITLE -->
																<td style="height:25px; vertical-align:middle" class="gridRow1"><?= $row->sCategoryTitle ?></td>
																<!-- MERGE CODE -->
																<td style="height:25px; vertical-align:middle" class="gridRow1"><?= $row->sCategoryName ?></td>
																<!-- ACTIONS -->
																<td style="text-align:left; padding-left:20px" class="gridRow1">
																	<!-- EDIT -->
																	<a href="category_edit.php?ctid=<?= $row->nCategory_ID?>" title="Edit Category"><img src="images/edit.jpg" alt="Edit Category" width="16" height="16" border="0" class="iconspacing"></a>
																	<!-- DELETE -->
																	<a href="category_management.php<?= $qs ?>&ctid=<?= $row->nCategory_ID ?>&act=del" class="bluenew" OnClick="return cdel('<?=$row->sCategoryTitle ?>');" title="Delete Category"><img src="images/drop.jpg" alt="Delete Page" width="16" height="16" border="0" class="iconspacing"></a>
																	<!-- DISPLAY -->
																	<!--
																	<?php if ($row->bDisplay) : ?>
																		<a href="category_management.php<?= $qs ?>&display=0&id=<?= $row->nCategory_ID ?>" class="bluenew" title="Display Page"> <img src="images/disp.jpg" alt="Display Page" width="16" height="16" border="0" class="iconspacing"></a>
																	<?php else : ?>
																		<a href="category_management.php<?= $qs ?>&display=1&id=<?= $row->nCategory_ID ?>" class="bluenew"  title="Don't Display"><img src="images/ddisp.jpg" alt="Don't Display" width="16" height="16" border="0" class="iconspacing"></a>
																	<?php endif; ?>
																	-->
																</td>
																<!-- MEMBERSHIP LEVEL -->
																<!--
																<td align="center" valign="middle" class="gridRow1">
																	<span class="blue">
																		<select name="mlevel[]">
																			<?
																				foreach ($aLevel as $item) {
																					$selected = ($row->nLevel_ID == $item['nLevel_ID']) ? 'selected' : '';
																					echo sprintf("<option value='%d' %s>%s</option>", $item['nLevel_ID'], $selected, $item['sDescr']);
																				}		
																			?>
																		</select>
																		<input type="hidden" name="dd[]" value="<?= $row->nCategory_ID; ?>" />
																	</span>
																</td>
																-->
															</tr>
															<?php endwhile; ?>
														</table>
													</td>
												</tr>
											</table>
											<!--
											<input type="submit" name="Update" value="Save Changes" class="inputSubmitb" >
											-->
										</form>
									</td>
								</tr>
							</table>
						</div>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<?php include_once('b.php'); ?>
	</body>
</html>