<?php 
	// Category functions - for parsing and displaying embedded categories
	
	class Category {

	   var $id = 0;					// Category ID
	   var $name = '';			// sCategoryName
	   var $title = ''; 				// sCategoryTitle
	   var $content = '';
	   var $display = true;

		function Category($content) {
			$this->content = $content;
			$this->parse_content();
		}
		
		function parse_content() {
			// Return all categories between out[0][0] = {categoryname}, out[1][0] = categoryname
			preg_match_all("/\{(.*)\}/iU", $this->content, $out, PREG_PATTERN_ORDER);
			$i = 0;
			foreach ($out[1] as $this->name) {
				// See if this is an individual file
				if (strpos($this->name, '.') > 0)
					$list = $this->get_file();					
				else 
					$list = $this->get_files();	
				$output = '';
				$output .= "<div class='category'>";
				if ($this->display)
					$output .= sprintf("<div class='heading'>%s</div>",$this->title);
				if (!empty($list)) {
					foreach($list as $item) {
						//$link = "../admin/assets/".$item['sFilename'];
						$link = sprintf("javascript:top.frames.runcode.document.location.replace(\"download_helper.php?download=%s\")", $item['sFilename']);
						
						$output .= "<div class='item'>";
						$output .= sprintf("<span class='title'><a href='#' onclick='%s'>%s</a></span>", $link, $item['sTitle']);			
						$output .= sprintf("<span class='description'>&nbsp;&ndash;&nbsp;%s</span>", $item['sDescription']);			
						$output .= "</div>";
					}
				}
				$output .= "</div>";
				
				// Replace Tag with Output
				if (strpos($this->name, 'videoFile:') === false && strpos($this->name, 'VML') === false) 
					$this->content = str_replace($out[0][$i++], $output, $this->content);
			}			
		}
		
		// Gets a single file with merge code = {myfile.ext}
		function get_file() {
			$sql = sprintf("SELECT * FROM tblfiles WHERE sFilename = '%s' ", addslashes($this->name));
			$row = mysql_fetch_assoc(mysql_query($sql));
			$list[] = $row;
			$this->display = false;
			return $list;
		}

		// Gets the files within the category 
		function get_files() {
			$this->get_category();
			$sql = sprintf("SELECT * FROM tblfiles 
									INNER JOIN tblcategoryfile ON tblcategoryfile.nFile_ID = tblfiles.nFile_ID 
									WHERE tblcategoryfile.nCategory_ID = %d
									ORDER BY nCatFile_ID ", $this->id);
			$rs = mysql_query($sql);
			while ($row = mysql_fetch_assoc($rs))
				$list[] = $row;
			return $list;
		}
		
		function get_category() {
			$sql = sprintf("SELECT * FROM tblcategories WHERE sCategoryName = '%s' ", $this->name);
			$row = mysql_fetch_assoc(mysql_query($sql));
			$this->id = $row['nCategory_ID'];
			$this->title = $row['sCategoryTitle'];
			$this->display = ($row['bDisplay'] == 1) ? true : false;
		}
		
	} // END CLASS

?>