<?php
require_once('functions-options.php');
require_once('functions-formatting.php');
require_once('version.php');

function genpassword($length)
{
	srand( (double) microtime() * 1000000 );
	$vowels = array("a", "e", "i", "o", "u");
	$cons = array("b", "c", "d", "g", "h", "j", "k", "l", "m", "n", "p", "r", "s", "t", "u", "v", "w", "tr", "cr", "br", "fr", "th", "dr", "ch", "ph", "wr", "st", "sp", "sw", "pr", "sl", "cl");
	$num_vowels = count($vowels);
	$num_cons = count($cons);
	for($i = 0; $i < $length; $i++)
	{
		$password .= $cons[rand(0, $num_cons - 1)] . $vowels[rand(0, $num_vowels - 1)];
	}
	return substr($password, 0, $length);
}

/*function dateDiff($nDateFormat, $endDate, $beginDate)
{
	$date_parts1=explode($nDateFormat, $beginDate);
	$date_parts2=explode($nDateFormat, $endDate);
	$start_date=gregoriantojd($date_parts1[0], $date_parts1[1], $date_parts1[2]);
	$end_date=gregoriantojd($date_parts2[0], $date_parts2[1], $date_parts2[2]);
	return $end_date - $start_date;
}
*/

function encodeHTML($sHTML)
{
	$sHTML = ereg_replace('&', '&amp;', $sHTML);
	$sHTML = ereg_replace('<', '&lt;', $sHTML);
	$sHTML = ereg_replace('>', '&gt;', $sHTML);
	return $sHTML;
}

function get_string_between($string, $start, $end)
{
	$string = " " . $string;
	// changed this from original strpos
	$ini = strpos($string, $start);
	if ($ini == 0) return '';
	$ini += strlen($start);
	$len = strpos($string, $end, $ini) - $ini;
	return substr($string, $ini, $len);
}

// return the date in format specified in settings section of admin tool
function fShowDate($dateformat, $formatdate)
{
	if ($dateformat == 1) { $ldate = substr($formatdate, 4, 2) . '/' . substr($formatdate, 6, 2) . '/' . substr($formatdate, 0, 4); }
	if ($dateformat == 2) { $ldate = substr($formatdate, 6, 2) . '/' . substr($formatdate, 4, 2) . '/' . substr($formatdate, 0, 4); }
	if ($dateformat == 3) { $ldate = substr($formatdate, 4, 2) . '-' . substr($formatdate, 6, 2) . '-' . substr($formatdate, 0, 4); }
	if ($dateformat == 4) { $ldate = substr($formatdate, 6, 2) . '-' . substr($formatdate, 4, 2) . '-' . substr($formatdate, 0, 4); }
	
	return $ldate;
}

// return the last day of the next month
// accepts date in YYYYMMDD format
function fLastDayNextMonth($nDBDate)
{
	$day = '01';
	$month = substr($nDBDate, 4, 2);
	$year = substr($nDBDate, 0, 4);
	$lastdate = date('Ymd', mktime(0, 0, 0, $month + 2, $day - 1, $year));
	return $lastdate;
}

// return the last day of the this month
// accepts date in YYYYMMDD format
function fLastDayThisMonth($nDBDate)
{
	$day = '01';
	$month = substr($nDBDate, 4, 2);
	$year = substr($nDBDate, 0, 4);
	$lastdate = date('Ymd', mktime(0, 0, 0, $month + 1, $day - 1, $year));
	return $lastdate;
}



// generic function to set a cookie. defines the cookie path/domain if it is not present.
function emp_setcookie($cookie_key, $cookie_value, $expire = 0, $cookie_path = '', $cookie_domain = '')
{
	//lk - i need to define the default cookie path/domain
	$cookie_path = ($cookie_path == '') ? '' : preg_replace('|https?://[^/]+|i', '', $cookie_path . '/' );
	$cookie_domain = ($cookie_domain == '') ? '' : preg_replace('|https?://[^/]+|i', '', $cookie_domain . '/' );
	$expire = time() + $expire;
	return setcookie($cookie_key, $cookie_value, $expire, $cookie_path, $cookie_domain);
}

// clears out all the cookies (if the key starts with 'emp-')
function emp_clearcookies( $key_check = 'emp-' )
{
	$success = false;
	if ( !empty($_COOKIE) )
	{
		foreach ($_COOKIE as $key=>$value)
		{
			if ( substr($key, 0, strlen($key_check) ) == $key_check )
			{
				$success = emp_setcookie($key, ' ', -31536000);
				if ( isset($_SESSION[$key]) ) { $_SESSION[$key] = ''; }
				if (!$success) break;
			}
		}
	}
	return $success;
}

// attempts to retrieve the affiliate id
function get_referer_affiliate_id()
{
	// set the affiliate id to 0
	$affiliate_id = 0;
	// check if it is stored in a cookie
	if ( isset($_COOKIE['emp-afid']) ) {
		$affiliate_id = $_COOKIE['emp-afid'];
	}
	// check if it is stored in the session object
	elseif ( isset($_SESSION['emp-afid']) ) {
		$affiliate_id = $_SESSION['emp-afid'];
	}
	// return the affiliate id
	return $affiliate_id;
}


function mysql_fetch_scalar_query($sql)
{
	$result = '0';
	if ( !empty($sql) )
	{
		$query_handle = mysql_query($sql);
		if ( !empty($query_handle) )
		{
			$query = mysql_fetch_array($query_handle);
			if ( is_array($query) )
			{
				if ( count($query) > 0 )
				{
					$result = ($query[0] == 0) ? '0' : $query[0];
				}
			}
			unset($query);
		}
		unset($query_handle);
	}
	return $result;
}

/*
// lk - we are not currently using this function
function post_form($datastream, $url)
{
	$url = preg_replace("@^http://@i", '', $url);
	$host = substr($url, 0, strpos($url, '/'));
	$uri = strstr($url, '/');
	
	$reqbody = '';
	foreach($datastream as $key => $val)
	{
		if ($reqbody != '') $reqbody .= '&';
		$reqbody .=  $key . '=' . urlencode($val);
	}
	
	$contentlength = strlen($reqbody);
	$reqheader =  "POST $uri HTTP/1.1\r\n" .
		"Host: $host\n". "User-Agent: PostIt\r\n" .
		"Content-Type: application/x-www-form-urlencoded\r\n" .
		"Content-Length: $contentlength\r\n\r\n" .
		"$reqbody\r\n";
	
	$socket = fsockopen($host, 80, $errno, $errstr);
	if (!$socket)
	{
		$result['errno'] = $errno;
		$result['errstr'] = $errstr;
		return $result;
	}
	
	fputs($socket, $reqheader);
	while ( !feof($socket) )
	{
		$result[] = fgets($socket, 4096);
	}
	fclose($socket);
	
	return $result;
}
*/

function get_emp_version()
{
	global $emp_version;
	return ($current_emp_version = get_option('emp-version')) ? $current_emp_version : (($emp_version) ? '1.0.1' : '1.0.0');
	// lk - the version number ($emp_version) was introduced in v1.0.1 - so anything before that is v1.0.0
}
function get_emp_db_version()
{
	global $emp_db_version;
	return ($current_emp_db_version = get_option('emp-db-version')) ? $current_emp_db_version : (($emp_db_version) ? '9' : '1');
	// lk - the database version number ($emp_db_version) was introduced at svn-rev.9 - so anything before that is svn-rev.1
}
	function isValidEmail( $email ){
		if(ereg("^[a-zA-Z0-9]+([_\\.-][a-zA-Z0-9]+)*@([a-zA-Z0-9]+([\.-][a-zA-Z0-9]+))*$", $email))
			return true;
		else
			return false;
	}
	function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
	{
	  $theValue = (!get_magic_quotes_gpc()) ? addslashes($theValue) : $theValue;
	
	  switch ($theType) {
		case "text":
		  $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
		  break;    
		case "long":
		case "int":
		  $theValue = ($theValue != "") ? intval($theValue) : "NULL";
		  break;
		case "double":
		  $theValue = ($theValue != "") ? "'" . doubleval($theValue) . "'" : "NULL";
		  break;
		case "date":
		  $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
		  break;
		case "defined":
		  $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
		  break;
	  }
	  return $theValue;
	}
	function check( $field, $value ){
		global $db_name;
		global $connection;
		mysql_select_db($db_name, $connection);
		$sql = "SELECT COUNT($field) AS expr FROM tblusers WHERE $field = '$value'";
		$res = mysql_query( $sql );
		$rs = mysql_fetch_assoc($res);
		mysql_free_result($res);
		return( $rs["expr"] ? true : false );
	}
	function isValidPassword( $password ){
		return ereg("^[[:alnum:]]{6,}$", $password) ? true : false;
	}
	function email($to, $from_name, $from_email, $subject, $message, $contentType="html", $to_cc=NULL,$to_bcc=NULL)
	{
		$headers = "From: \"$from_name\" <".$from_email.">\r\n";
		$headers .= "Reply-To: \"$from_name\" <$from_email>\r\n"; 
		if($to_cc != NULL){
			$headers .= "CC: $to_cc\r\n"; 
		}
		if($to_bcc != NULL){
			$headers .= "BCC: $to_bcc\r\n"; 
		}
		$headers .= "X-Sender: \"$from_name\" <$from_email>\r\n"; 
		$headers .= 'MIME-Version: 1.0' . "\r\n";
		if ($contentType == "plain")
			$headers .= 'Content-type: text/plain;' . "\r\n";
		else
			$headers .= 'Content-type: text/html;' . "\r\n";
		$headers .= "X-Priority: 3\n"; 
		mail($to, $subject, $message, $headers);
	}
	
	// ********************************************
	// MK Added Functions
	// 08/11/07
	// ********************************************


?>