<?php
	include_once('../conn.php');
	include_once('../functions.php');
	
	// Get QueryString
	$qs = (isset($_POST['qs'])) ? $_POST['qs'] : $_SERVER['QUERY_STRING'];
	
	// Check if File_ID passed in 
	$flid = (isset($_REQUEST['flid']) ? $_REQUEST['flid'] : 0);
	
	// Set Add/Update 
	if ($flid != 0) {
		// Get File Info
		$sql = "SELECT * FROM tblfiles WHERE nFile_ID = $flid";
		$row = mysql_fetch_assoc(mysql_query($sql));
		$title = $row['sTitle'];
		$description = $row['sDescription'];
		$filename = $row['sFilename'];
		$pagetitle = "Edit File";
		$button = "Update File";
	} else {
		$pagetitle = "Add File";
		$button = "Add File";
	}

	// Check for required information
	if (!empty($_POST)) {
		$message = save_info($_POST, $_FILES['fl']);

		if ($_POST['flid'] > 0) {
			$title = $_POST['title'];
			$description = $_POST['description'];
			if (!empty($_FILES['fl']['name'])) $filename = $_FILES['fl']['name'];
		}
		
	}
	
	function save_info($data, $file) {
		// If we have a file, try to upload it
		if ($file['error'] == UPLOAD_ERR_OK) {
			if (!upload_file($file['tmp_name'], $file['name'])) {			
				return 	"<span class='error'>Failed to write the file to the directory.  Make sure the directory has the appropriate write permissions.</span>";
			}
		} elseif ($file['error'] == UPLOAD_ERR_NO_FILE && $data['flid'] == 0) {
			return "<span class='error'>Please select a file</span>";
		}
		
		// Write record to database
		if ($data['flid'] > 0) {		// UPDATE
			if ($file['error'] == UPLOAD_ERR_OK)		
				$sql = sprintf("UPDATE tblfiles SET sTitle = '%s', sDescription = '%s', sFilename = '%s', sType = '%s', nSize = %d WHERE nFile_ID = %d ", $_POST['title'], $_POST['description'], $file['name'], $file['type'], $file['size'], $_POST['flid']);
			else 
				$sql = sprintf("UPDATE tblfiles SET sTitle = '%s', sDescription = '%s' WHERE nFile_ID = %d ", $_POST['title'], $_POST['description'], $_POST['flid']);			
		} else  {							// INSERT
				$sql = sprintf("INSERT INTO tblfiles (sTitle, sDescription, sFilename, sType, nSize) VALUES ('%s', '%s', '%s', '%s', %d)", $_POST['title'], $_POST['description'], $file['name'], $file['type'], $file['size']);
		}
		
		if (mysql_query($sql)) {
			if ($file['error'] == UPLOAD_ERR_OK)		
				return sprintf("<span class='success'>&ldquo;%s&rdquo; uploaded successfully</span>", $file['name']);
			else
				return 	"<span class='success'>File Updated</span>";
		} else {
			return "<span class='error'>Problem writing file information to database</span>";
		}
	}

	function upload_file($source, $target) {
		$target = dirname(__FILE__)."/assets/".$target;
		return move_uploaded_file($source, $target);
	}
	
?>
<html>
	<head>
		<title><?= $pagetitle ?></title>
		<link rel="stylesheet" type="text/css" href="../style.css" />
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<script type="text/javascript">
			function gotoFileManagement() {
				top.location.replace('file_management.php?<?= $qs ?>');
			}
			
			function Validate(oForm) {
				var bValid = true;
				var re = /^\s*$/;

				// Check for required information
				if (!oForm.title.value.search(re)) {
					document.getElementById('error_title').innerHTML = "<span class='error'>Please enter a title</span>";
					bValid = false;
				}				

				if (!oForm.description.value.search(re)) {
					document.getElementById('error_description').innerHTML = "<span class='error'>Please enter a description</span>";
					bValid = false;
				}				

				if (!oForm.fl.value.search(re) && oForm.flid.value == 0) {
					document.getElementById('error_file').innerHTML = "<span class='error'>Please select a file</span>";
					bValid = false;
				}				
				return bValid;
			}
		</script>
	</head>
	<body leftmargin="0" topmargin="0" rightmargin="0">
	<?php include_once('top.php'); ?>
	<table cellpadding="0" cellspacing="0" width="100%">
		<tr>
			<td width="180" height="350" valign="top" nowrap="nowrap" class="contentSide_members" style="padding: 8px;"><?php include "pageleft.php"; ?></td>
			<td style="padding-left: 8px; padding-top: 8px; padding-right: 8px;" valign="top" width="100%">
				<table class="navTable" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td width="10%" class="navRow1" nowrap="nowrap"><?= $pagetitle ?></td>
						<td class="navRow1" style="padding-left:50px"><?= $message ?>&nbsp;</td>
					</tr>
				</table>
				<table class="navTable" border="0" cellpadding="0" cellspacing="0" width="100%">
					<tr>
						<td class="navRow1" nowrap="nowrap">
							<form name="form1" method="post" enctype="multipart/form-data" action="add_file.php" onsubmit = "return Validate(this)">
								<input type="hidden" name="ctid" value="<?= $ctid ?>">
								<input type="hidden" name="flid" value="<?= $flid ?>">
								<input type="hidden" name="qs" value="<?= $qs ?>">
								<table width="100%"  border="0" cellspacing="4" cellpadding="0">
									<tr valign="top">
										<td style="width:120px; text-align:right; padding-right:5px">Title:</td>
										<td>
											<input name="title" type="text" class="box" value="<?= $title ?>" maxlength="35" style="width:250px" />
											<span id="error_title" style="padding-left:5px"><?= $error_title ?></span>
										</td>
									</tr>
									<tr valign="top">
										<td style="text-align:right; padding-right:5px">Description:</td>
										<td>
											<input name="description" type="text" class="box" value="<?= $description ?>" maxlength="75"  style="width:250px"/>
											<span id="error_description" style="padding-left:5px"><?= $error_description ?></span>
										</td>
									</tr>
									<? if ($flid != 0): ?>
									<tr valign="top">
										<td style="width:100px; text-align:right; padding-right:5px">Current File:</td>
										<td style="padding-bottom:5px"><span style="color:navy"><?= $filename ?></span></td>
									</tr>
									<? endif; ?>
									<tr valign="top">
										<td style="text-align:right; padding-right:5px">File:</td>
										<td>
											<input type="file" name="fl" class="box" size="45"/>
											<span id="error_file" style="padding-left:5px"><?= $error_file ?></span>
										</td>
									</tr>
									<tr>
										<td style="padding-top:15px;">&nbsp;</td>
										<td style="padding-top:15px;">
											<input type="submit" name="Submit" value="<?= $button ?>" class="inputSubmit" />
											<input type="button" value="Return" class="inputSubmit" onclick="gotoFileManagement()"/>
										</td>
									</tr>
								</table>
							</form>
						</td>
					</tr>
				</table>
			</td>
		</tr>
	</table>
	<?php include_once('b.php'); ?>
	</body>
</html>