<?php
	include_once('../conn.php');
	include_once('../functions.php');
	include_once('inc_config.php');
	//include_once('inc_functions.php');
	
	if (isset($_POST['Backup'])) {
		// Check if folder is writeable
		if (is_writable('dump')) {
			$aTables = getTableList();		
			$aExclude = array_diff($aTables, array_keys($_POST));		
			// --ignore-table=db_name.tbl_name
			$tableignore = '';
			foreach ($aExclude as $item) {
				$tableignore .= " --ignore-table=".$db_name.".".$item;
			}
	
			$backupFile = 'dump/' . date('Y_m_d')."_db.gz";
			$command = "mysqldump --opt -u $db_username --password='$db_password' $tableignore  $db_name  | gzip > $backupFile";
			exec($command, $result);
			$message = "<span class='success'>Database tables backed up successfully.</span>";
		} else {
			$message = "<span class='error'>Folder admin/dump is not writeable. Please change the folder's attributes to 777.</span>";			
		}
	}
	
	function getTableList() {
		$rs = mysql_query("SHOW TABLES");
		while ($row = mysql_fetch_row($rs)) 
			$aList[] = $row[0];	
			return $aList;
	}

	
?>
<html>
	<head>
		<title><?php echo $admintitle; ?></title>
		<link rel="stylesheet" type="text/css" href="../style.css" />
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<script type="text/javascript" language="JavaScript">
			function checkAll(oCheck) {
				oTbl = document.getElementById('tablelisting');
				for (i=0; i<oTbl.rows.length; i++) {
					for (j=0; j<oTbl.rows[i].cells.length; j++)
						oTbl.rows[i].cells[j].childNodes[0].checked = oCheck.checked;
				}
			}
		</script>
		<style>
			LABEL {cursor:pointer}	
		</style>
	</head>
	<body leftmargin="0" topmargin="0" rightmargin="0" onLoad="isReady=true">
<?php include_once('top.php'); ?>
<table border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<td width="180" height="350" valign="top" nowrap="nowrap" class="contentSide_members" style="padding: 8px;">
			<?php include_once('backupleft.php'); ?>
		</td>
		<td style="padding-left: 8px; padding-top: 8px; padding-right: 8px;" valign="top" width="100%">
			<span class="red"></span>
			<table class="navTable" width="100%" border="0" cellpadding="0" cellspacing="0">
				<tr>
					<td class="navRow1" width="100px"><span>Backup</span></td>
					<td style="padding-left:20px" class="navRow2">&nbsp;<?= $message ?>&nbsp;</td>
				</tr>
			</table>
			<!-- START TABLE LISTING -->
			<table class="gridTable" cellpadding="0" cellspacing="1" width="100%">
				<tr>
					<td class="gridHeader">Available Tables in the Database </td>
				</tr>
				<tr>
					<td class="gridRow1">
						<table id='tablelisting' width="100%" border="0" cellspacing="0" cellpadding="0">
							<form method="post" action="backup_database.php">
							<?php
								// Get the list of all tables from the database '$dbName'
								$table = getTableList();		
								$i = 0;								
								foreach ($table as $item) {
									if ($i++ % 3 == 0) {
										if ($i == 1) 	echo "<tr>";
										else echo "</tr><tr>";
									}
									$checked = (isset($_POST['Backup'])) ? ((isset($_POST[$item])) ? 'checked' : '') : 'checked';
									echo sprintf("<td class='gridRow1' style='width:100px'><input type='checkbox' name='%s' id='%s' %s style='margin-bottom:0px; margin-right:5px'><label for='%s'>%s</label></td>", $item, $item, $checked, $item, $item);
								}	
								// Fill in missing table cells
								$start = ($i - intval($i / 3) * 3);
								if ($start > 0)
									for ($j = $start + 1; $j < 4; $j++) echo "<td class='gridRow1'>&nbsp;</td>";
								echo "</tr>";									
							?>
							<tr>
								<td colspan="3" class="gridHeader">
									<input type="submit" name="Backup" value="Backup" style="margin-left:10px">
									<input type="checkbox" id="selectAll" checked onclick="checkAll(this)" style="margin-left:40px; margin-bottom:0px">
									<label for="selectAll">Select All</label>
								</td>
							</tr>
							</form>
						</table>
						<div style="margin-top:20px">
							Remember, you can have a daily database backup emailed to you automatically if required.
							Just <a href="script_settings.php">click here</a> and tick the "Daily Backup" checkbox.
						</div>
					</td>
				</tr>
				<tr>
					<td class="gridFooter">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td valign="top"></td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<?php include_once('b.php'); ?>
	</body>
</html>