<?php
	include_once('../conn.php');
	include_once('../functions.php');

	$ctid = (isset($_REQUEST['ctid'])) ? $_REQUEST['ctid'] : 0;			// Category ID
	$ft = (isset($_REQUEST['ft'])) ? $_REQUEST['ft'] : '';						// File Type
	$flid = (isset($_REQUEST['flid'])) ? $_REQUEST['flid'] : 0;			// File ID
	$act = (isset($_REQUEST['act'])) ? $_REQUEST['act'] : '';			// Action
	$fldisp =  (isset($_REQUEST['fldisp'])) ? $_REQUEST['fldisp'] : 'sTitle';			// File Display
	
	// Get Category List
	$sql = "SELECT * FROM tblcategories";
	$rs = mysql_query($sql);
	if (mysql_num_rows($rs) == 0) header('location: category_management.php?err=1');
	$ctlist = "<option value='0'>Select Category</option>";
	while ($row = mysql_fetch_object($rs)) {
		$selected = ($row->nCategory_ID == $ctid) ? 'selected' : '';
		$ctlist .= sprintf("<option value='%d' %s>%s</option>", $row->nCategory_ID, $selected, $row->sCategoryTitle);
	}
	
	// Process Add/Remove Actions
	if ($act == 'rmv') {
			$sql = sprintf("DELETE FROM tblcategoryfile WHERE nCategory_ID = %d AND nFile_ID = %d", $ctid, $flid);
			mysql_query($sql);
	}
	elseif ($act == 'add') {
		if ($ctid != 0) {
			$sql = sprintf("INSERT INTO tblcategoryfile (nCategory_ID, nFile_ID) VALUES (%d, %d)", $ctid, $flid);
			mysql_query($sql);
		} else {
			$message = "<span class='error'>Please select a Category</span>";
		}
	}
	
	// User clicked Update - Add/Remove files from Category
	if (isset($_POST['Update'])) {
		$aCtfl = explode('|', $_POST['ctlist']);
		for ($i = 0; $i < count($aCtfl); $i++) {
			// Check if file already in category
			$rs = mysql_query(sprintf("SELECT * FROM tblcategoryfile WHERE nCategory_ID = %d AND nFile_ID = %d ", $_POST['ctid'], $aCtfl[$i]));
			if (mysql_num_rows($rs) == 0) {
				mysql_query(sprintf("INSERT INTO tblcategoryfile (nCategory_ID, nFile_ID) VALUES (%d, %d) ", $_POST['ctid'], $aCtfl[$i]));
			}
		}

		// Determine if any Category-File links need to be removed
		$rs = mysql_query("SELECT * FROM tblfiles INNER JOIN tblcategoryfile ON tblcategoryfile.nFile_ID = tblfiles.nFile_ID WHERE tblcategoryfile.nCategory_ID = $ctid");
		while ($row = mysql_fetch_assoc($rs)) $aCurrent[] = $row['nFile_ID'];

		$aDel = array_diff($aCurrent, $aCtfl);
		foreach ($aDel as $key => $val) {
			$sql = sprintf("DELETE FROM tblcategoryfile WHERE nCategory_ID = %d AND nFile_ID = %d ", $_POST['ctid'], $val);
			mysql_query($sql);
		}
		
		$message = "<span class='success'>Category Updated</span>";
	}

	// Get Files in Category 
	$aCatFile = array();
	if ($ctid != 0) {
		$rs = mysql_query("SELECT * FROM tblfiles 
										INNER JOIN tblcategoryfile ON tblcategoryfile.nFile_ID = tblfiles.nFile_ID 
										WHERE tblcategoryfile.nCategory_ID = $ctid
										ORDER BY nCatFile_ID ");
		while ($row = mysql_fetch_assoc($rs)) {
			$aCatFile[] = $row['nFile_ID'];
			$ctfiles .= sprintf("<option value='%s'>%s</option>", $row['nFile_ID'], $row[$fldisp]);
		}
	}
		
	// Get File Types List
	$aFile = array('All Files', 'AUDIO', 'DOC', 'EXCEL', 'EXE', 'FLASH', 'IMAGES', 'PDF', 'VIDEO', 'ZIP');
	ksort($aFile);
	$filetype = '';
	foreach ($aFile as $item) {
		$selected = ($item == $ft) ? 'selected' : '';
		$filetype .= sprintf("<option value='%s' %s>%s</option>", $item, $selected, $item);
	}

	// Get File List
	$sql = "SELECT * FROM tblfiles ";
	
	// Filter by File Type
	switch ($ft) {
		case 'DOC':
			$qry = "WHERE sType LIKE '%msword%' ";
			break;				
		case 'IMAGES':
			$qry = "WHERE sType LIKE 'image%' ";
			break;	
		case 'ZIP':
			$qry = sprintf("WHERE sType LIKE '%%%s%%' OR sType LIKE '%compress%' ", strtolower($ft));
			break;	
		case 'AUDIO':		
		case 'EXCEL':	
		case 'EXE':
		case 'FLASH':
		case 'PDF':
		case 'VIDEO':
			$qry = sprintf("WHERE sType LIKE '%%%s%%' ", strtolower($ft));
			break;				
	}
	
	// Add WHERE clause
	$sql .= $qry;	
	$sql .= "ORDER BY sTitle ";									
	$rs = mysql_query($sql);
	
	while ($row = mysql_fetch_assoc($rs)) {
		if (!in_array($row['nFile_ID'], $aCatFile)) 
			$filelist .= sprintf("<option value='%s'>%s</option>", $row['nFile_ID'], $row[$fldisp]);
	}
	
?>
<html>
	<head>
		<title><?= $admintitle; ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="../style.css" />
		<style>
			.iconspacing {margin-right:2px}	
		</style>
		<script type="text/javascript">
			// Function Adds or Removes Financial Institutions from the TPM's Associates list
			function filistUpdate(sOp) {
				var oList1 = document.getElementById('fl'); 			// File List
				var oList2 = document.getElementById('cat');		// Category File List
				
				// Check if Category Selected
				if (sOp == 'Add' && document.getElementById('ctid').value == 0) {
					document.getElementById('msg').innerHTML = "<span class='error'>Please select a Category</span>";
					return;
				}
				
				if (sOp == 'Add') {
					nLen = oList1.options.length;
					for (i=0; i<nLen; i++) {
						if (oList1.options[i].selected) {							
							oOption = new Option(oList1.options[i].text, oList1.options[i].value);
							oList2.options[oList2.length] = oOption;
						}
					}
					// Remove items from List1
					for (i=nLen-1; i>=0; i--) {
						if (oList1.options[i].selected) oList1.options[i] = null;
					}
					// Disable Add button
					document.getElementById('btnAdd').disabled = true;
					//document.getElementById('ckSelect').checked = false;
				} else {
					nLen = oList2.options.length;
					for (i=0; i<nLen; i++) {
						if (oList2.options[i].selected) {							
							oOption = new Option(oList2.options[i].text, oList2.options[i].value);
							oList1.options[oList1.length] = oOption;
						}
					}
					// Remove items from List2
					for (i=nLen-1; i>=0; i--) {
						if (oList2.options[i].selected) oList2.options[i] = null;
					}
					// Disable Remove button
					document.getElementById('btnRmv').disabled = true;
				}					
			}

			function filterFiles(oList) {
				var ft = oList.options[oList.selectedIndex].value;
				qs = '?ft=' + ft;
				qs += '&ctid=<?= $ctid ?>';
				qs += '&fldisp=<?= $fldisp ?>';
				document.location = 'category_addfiles.php' + qs;
			}

			function setDisplay(fldisp) {
				qs = '?ft=<?= $ft ?>';
				qs += '&ctid=<?= $ctid ?>';
				qs += '&fldisp=' + fldisp;
				document.location = 'category_addfiles.php' + qs;
			}

			function setList() {
				var oList = document.getElementById('cat');
				var sList = '';
				
				for (i=0; i<oList.options.length; i++) 
					sList += oList.options[i].value + '|';
				
				sList = sList.substr(0, sList.length-1);
				document.getElementById('ctlist').value = sList;
			}			


		</script>
	</head>
	<body leftmargin="0" topmargin="0" rightmargin="0">

<!-- Include Navigation -->
<?php include_once('top.php'); ?>

<!-- Start Content -->
<table  border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<!-- START LEFT SIDE -->
		<td width="180" height="350" rowspan="2" valign="top" nowrap="nowrap" class="contentSide_members" style="padding: 8px;">
			<?php include_once('pageleft.php'); ?>
		</td>
		<!-- START RIGHT SIDE -->
		<td style="height:40px; padding-left: 8px; padding-top: 8px; padding-right: 8px;" valign="top" width="100%">
			<table class="navTable" border="0" cellpadding="0" cellspacing="0" width="100%">
				<tr>
					<td class="navRow1" style="width:30%">
						Category &mdash; Add Files
					</td>
					<td class="navRow1">
						<span id="msg"><?= $message ?></span>
					</td>
				</tr>
			</table>
		</td>
	</tr>

	<tr>
		<td style="width:100%; padding-left: 8px; padding-right: 8px; vertical-align:top; padding-top:0px">
			<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" style="margin-top:0px">
				<tr>
					<td height="55" align="left" valign="top" bgcolor="#FFFFFF">
						<div align="justify">
							<table width="100%"  border="0" cellspacing="5" cellpadding="0">
								<tr>
									<td height="60" valign="top">
										<!-- HEADER -->
										<table width="100%"  border="0" cellspacing="0" cellpadding="0">
											<form name="form1" method="post" action="category_addfiles.php" onsubmit="setList()">
												<input type="hidden" name="ctid" id="ctid" value="<?=$ctid?>">
												<input type="hidden" name="flid" value="0">
												<input type="hidden" name="act" value="">
												<input type="hidden" name="ctlist" id="ctlist" value="">
												<tr align="right" valign="top">
													<td height="20" colspan="4">
														<table width="100%" border="0" cellpadding="0" cellspacing="0" class="gridTable">
															<tr>
																<td valign="top">
																	<table width="100%"  border="1" cellpadding="0" cellspacing="1">
																		<!-- HEADINGS -->
																		<tr valign="top">
																			<!-- Files -->
																			<td style="width:40%; height:25px; text-align:center" class="gridHeader">
																				Files:
																				<select name="ft" onchange="filterFiles(this)">
																					<?= $filetype ?>
																				</select>
																			</td>
																			<td style="width:10%; height:25px; text-align:center" class="gridHeader">&nbsp;</td>
																			<!-- Categories -->
																			<td style="height:25px; text-align:center;" class="gridHeader">
																				Category:
																				<select name="category" style="font-weight:bold; margin-left:5px; margin-bottom: -2px" onchange="this.form.ctid.value=this.options[this.selectedIndex].value; this.form.submit()">
																					<?= $ctlist ?>														
																				</select>
																			</td>
																		</tr>
																		<!-- PAGE LISTING -->
																		<tr>
																			<td class="gridRow1" style="text-align:center">
																				<select Name='fl' id='fl' size='20' style='width:250;margin-top:5px' MULTIPLE onclick="this.form.btnAdd.disabled=false" ondblclick="filistUpdate('Add')">
																					<?= $filelist ?>
																				</select>
																			</td>
																			<td class="gridRow1" style="text-align:center">
																				<input type="button" id="btnAdd" value="Add >>" onclick="filistUpdate('Add')" style="width:80" disabled><br>
																				<input type="button" id="btnRmv" value="<< Remove" onclick="filistUpdate('Rmv')" style="width:80; margin-top:4px" disabled>
																			</td>
																			<td class="gridRow1" style="text-align:center">
																				<select Name='cat' id='cat' size='20' style='width:250;margin-top:5px' MULTIPLE onclick="this.form.btnRmv.disabled=false" ondblclick="filistUpdate('Rmv')">
																					<?= $ctfiles ?>
																				</select>
																			</td>
																		</tr>
																		<tr>
																			<td colspan="2" class="gridHeader" style="text-align:left; padding-left:50px">
																				Display files by: 
																				<input type="radio" name="fldisp" id="sTitle" value="sTitle" <? if ($fldisp == 'sTitle') echo 'checked' ?> onclick="setDisplay(this.value)"><label for="sTitle">Title</label>
																				<input type="radio" name="fldisp" id="sFilename" value="sFilename" <? if ($fldisp == 'sFilename') echo 'checked' ?>  onclick="setDisplay(this.value)"><label for="sFilename">Filename</label>
																			</td>
																			<td class="gridHeader" style="text-align:right; padding-right:50px">
																				<input type="submit" name="Update" value="Update Category" class="inputSubmitb" >
																			</td>
																		</tr>
																	</table>
																</td>
															</tr>
														</table>
													</td>
												</tr>
											</form>
										</table>
									</td>
								</tr>
							</table>
						</div>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<?php include_once('b.php'); ?>
	</body>
</html>