<?php
	include_once('../conn.php');
	include_once('../functions.php');

	/***************************/
	/*		 MK - Added 08/20/2007			*/
	/***************************/

	$ctid = (isset($_REQUEST['ctid'])) ? $_REQUEST['ctid'] : 0;			// Category ID
	$ft = (isset($_REQUEST['ft'])) ? $_REQUEST['ft'] : '';						// File Type
	$ipp = (!empty($_GET['ipp'])) ? $_GET['ipp'] : 10;							// Items per Page
	$sort = (!empty($_GET['sort'])) ? $_GET['sort'] : 'nFile_ID';
	$sortdir = (!empty($_GET['sortdir'])) ? $_GET['sortdir'] : 'ASC';
	$start = (!empty($_GET['start'])) ? $_GET['start'] : 0;	

	// Set QueryString Values after post
	if (isset($_POST['Update'])) {
		$ctid = $_POST['ctid'];
		$ipp = $_POST['ipp'];
		$sort = $_POST['sort'];
		$sortdir = $_POST['sortdir'];
		$start = $_POST['start'];
	}

	// Setup Options for Items per Page listing
	$aIPP = array('5', '10', '15', '20', '25', '50', '100');

	// DELETE FILE
	if ($_GET['act'] == 'd') {
		$row = mysql_fetch_assoc(mysql_query("SELECT sFilename FROM tblfiles WHERE nFile_ID = ".$_GET['flid']));
		$file = dirname(__FILE__)."/assets/".$row['sFilename'];
		if (file_exists($file) && !is_dir($file)) { 
			unlink($file);
			mysql_query("DELETE FROM tblfiles WHERE nFile_ID = " . $_GET['flid']);
			$message = "<span class='success'>File has been deleted.</span>";
		}
	}
	
	// IMPORT FILES
	if ($_GET['act'] == 'imp') {
		include ('mime.php');
		
		$dir = dirname(__FILE__)."/assets";
		$fl = array();
		// Get Files from Assets Directory (May need to add recursive function for subdirectories)
		if ($hndl = opendir($dir)) {
		    while (false !== ($file = readdir($hndl))) {
		        if ($file != "." && $file != ".." && $file != "index.php") $fl[] = $file;
		    }	
		    closedir($hndl);		
		}
		// Get Files from tblfiles
		$tfl = array();
		$rs = mysql_query("SELECT sFilename FROM tblfiles");
		while ($row = mysql_fetch_assoc($rs)) $tfl[] = $row['sFilename'];
		
		// Get Files that need to be imported
		$ifl = array_diff($fl, $tfl);		 
		foreach ($ifl as $key => $val) {
			$file = $dir."/".$val;
			$path = pathinfo($file);
			$sTitle = str_replace('.', '_', $val);
			$sql = sprintf("INSERT INTO tblfiles (sTitle, sDescription, sFilename, sType, nSize)
									VALUES ('%s', '%s', '%s', '%s', %d)", $sTitle, $sTitle, $val, get_type($path['extension']), filesize($file));
			mysql_query($sql);
		}
		if (count($ifl) > 0)
			$message = "<span class='success'>".count($ifl)." file(s) imported</span>";
		else
			$message = "<span class='success'>No files to import</span>";				
	}
	
	// Get File Types List
	$aFile = array('All Files', 'AUDIO', 'DOC', 'EXCEL', 'EXE', 'FLASH', 'IMAGES', 'PDF', 'VIDEO', 'ZIP');
	ksort($aFile);
	$filetype = '';
	foreach ($aFile as $item) {
		$selected = ($item == $ft) ? 'selected' : '';
		$filetype .= sprintf("<option value='%s' %s>%s</option>", $item, $selected, $item);
	}

	// NOT CURRENTLY BEING USED
	// UPDATE PAGE DISPLAY ORDER, NAVBARLOCATION and MEMBERSHIP LEVEL
	if ( isset($_POST['Update']) ) {
		$st = $_POST['dd'];				// nPage_ID
		$loc = $_POST['location'];		// sNavBarLocation
		$disp = $_POST['disp'];			// nSortOrder
		$mLvl = $_POST['mlevel'];		// nLevel_ID
		for ($i = 0; $i < count($_POST['dd']); $i++) {
			$sql = sprintf("UPDATE tblpages 
									SET nSortOrder = %d, sNavBarLocation = '%s', nLevel_ID = %d
									WHERE nPage_ID = %d", $disp[$i], $loc[$i], $mLvl[$i], $st[$i]);
			mysql_query($sql);
		}
		$message = "<span class='success'>Page updates have been completed.</span>";
	}		
?>

<html>
	<head>
		<title><?= $admintitle; ?></title>
		<meta http-equiv="content-type" content="text/html; charset=utf-8" />
		<link rel="stylesheet" type="text/css" href="../style.css" />
		<style>
			.iconspacing {margin-right:2px}	
		</style>
		<script type="text/javascript">
			function cdel(w) {
				return confirm("Are you sure you want to DELETE the\n\""+w+"\" file?");
			}

			function openPopup(page) {	
				window.open(page,'','height=265,width=650,scrollbars=yes,location=no,directories=no,status=no,menubar=no,toolbar=no,resizable=yes');
			}
			
			function MM_openBrWindow(theURL,winName,features) {
				window.open(theURL,winName,features);
			}
			
			function filterFiles(oList) {
				var ft = oList.options[oList.selectedIndex].value;
				var qs = '?start=0';
				qs += '&ft=' + ft;
				qs += '&sort=<?= $sort ?>';
				qs += '&sortdir=<?= $sortdir ?>';
				qs += '&ipp=<?= $ipp ?>';
				document.location = 'file_management.php' + qs;
			}

			function updateIPP(oList) {
				var ipp = oList.options[oList.selectedIndex].value;
				var qs = '?start=0';
				qs += '&ft=<?= $ft ?>';
				qs += '&sort=<?= $sort ?>';
				qs += '&sortdir=<?= $sortdir ?>';
				qs += '&ipp=' + ipp;
				document.location = 'file_management.php' + qs;
			}
		</script>
	</head>
	<body leftmargin="0" topmargin="0" rightmargin="0">

<!-- Include Navigation -->
<?php include_once('top.php'); ?>

<!-- Start Content -->
<table  border="0" cellpadding="0" cellspacing="0" width="100%">
	<tr>
		<!-- START LEFT SIDE -->
		<td width="180" height="350" rowspan="2" valign="top" nowrap="nowrap" class="contentSide_members" style="padding: 8px;">
			<?php include_once('pageleft.php'); ?>
		</td>
		<!-- START RIGHT SIDE -->
		<?php
		
			/***************************/
			/*      MK - Updated 08/20/07			*/
			/***************************/
			
			$sql = "SELECT * FROM tblfiles ";
			
			// Filter by File Type
			switch ($ft) {
				case 'DOC':
					$qry = "WHERE sType LIKE '%msword%' ";
					break;				
				case 'IMAGES':
					$qry = "WHERE sType LIKE 'image%' ";
					break;	
				case 'ZIP':
					$qry = sprintf("WHERE sType LIKE '%%%s%%' OR sType LIKE '%%compress%%' ", strtolower($ft));
					break;	
				case 'AUDIO':		
				case 'EXCEL':	
				case 'EXE':
				case 'FLASH':
				case 'PDF':
				case 'VIDEO':
					$qry = sprintf("WHERE sType LIKE '%%%s%%' ", strtolower($ft));
					break;				
			}
			
			// Add WHERE clause
			$sql .= $qry;
						
			$sql .= sprintf("ORDER BY %s %s ", $sort, $sortdir);

			// Get Count to pass into paging object
			$rs = mysql_query("SELECT COUNT(*) FROM tblfiles ".$qry); 
			$row = $row = mysql_fetch_row($rs);
			$number = $row[0];
				
			// Start Paging
			/*********************************************************/
			include_once('paging.php');
			$objPaging = new Paging();
			
			unset($_GET['start']);
		 	
		 	$objPaging->Total_Records_Per_Page = $ipp; 
		 	$objPaging->Total_Records = $number;
		 	$index = $start ;
		 	$indexupto = $index + $objPaging->Total_Records_Per_Page;	 	
		 	$objPaging->prepare_ParameterString($_GET);
		 	$objPaging->set_Start_Item($indexupto); 	 		 	
		 	$objPaging->Has_First_Last = true;	
		 	$navigator = $objPaging->Create_Paging();
		 	$pageinfo = $objPaging->get_PageInfo();	 	
		  	$counter = 0;  
			$sql .= "LIMIT ".$objPaging->Total_Records_Per_Page." OFFSET ".$index;
			/*********************************************************/
			//echo $sql;

			$result = mysql_query($sql);
			
			// Put together QueryString
			$qs = sprintf("?ctid=%s&start=%s&ipp=%s&ft=%s", $ctid, $start, $ipp, $ft);			
			//echo $qs;
		?>
		<td style="height:40px; padding-left: 8px; padding-top: 8px; padding-right: 8px;" valign="top" width="100%">
			<table class="navTable" border="0" cellpadding="0" cellspacing="0" width="100%">
				<tr>
					<td class="navRow1" nowrap="nowrap">File Management</td>
					<td class="navRow2" style="text-align:center"><?= $message ?>&nbsp;</td>
					<td class="navRow2" style="text-align:right; padding-right:20px">
						Items per page&nbsp;
						<select id='ipp' style='height:1.5em' onchange="updateIPP(this)">
							<?php
								foreach ($aIPP as $val) {
									$selected = ($val == $ipp) ? 'selected' : '';;
									echo "<option value='$val' $selected>$val</option>";
								}
							?>
						</select>
					</td>
				</tr>
			</table>
		</td>
	</tr>

	<tr>
		<td style="width:100%; padding-left: 8px; padding-right: 8px; vertical-align:top; padding-top:0px">
			<table width="100%"  border="0" align="center" cellpadding="0" cellspacing="0" style="margin-top:0px">
				<tr>
					<td height="55" align="left" valign="top" bgcolor="#FFFFFF">
						<div align="justify">
							<table width="100%"  border="0" cellspacing="5" cellpadding="0">
								<tr>
									<td height="60" valign="top">
										<!-- HEADER -->
										<table width="100%"  border="0" cellspacing="0" cellpadding="0" style="margin-top:5px">
											<form name="form1" method="post" action="file_management.php">
												<input type="hidden" id="act" name="act" value="">
												<tr>
													<!-- Add Files Button -->
													<td style="padding-left:5px; vertical-align:bottom">
														<a href="add_file.php" style="margin-left:20px;">
															<img src="images/btn_filesadd.gif" border="0">
														</a>
													</td>
													<!-- Filter Files List -->
													<td colspan="2" style="text-align:center; vertical-align:bottom">
														<span>Display:</span>														
														<select name="ft" onchange="filterFiles(this)">
															<?= $filetype ?>
														</select>
														<span style="padding-left:10px">Files: <?= $number ?></span>
													</td>
													<!-- Import Files Button -->
													<td style="text-align:right; vertical-align:bottom">
														<a href="file_management.php<?=$qs?>&act=imp" style="margin-right:20px;" title="Import current contents of assets folder into File Management">
															<img src="images/btn_filesimport.gif" border="0">
														</a>
													</td>
												</tr>
												<tr>
													<td colspan="4" style="padding-top:5px">
														<span style="color:navy">&nbsp;</span>
													</td>
												</tr>
												<tr align="right" valign="top">
													<td height="20" colspan="4">
													<!-- Hidden Fields for restoring variables after post -->
													<input type="hidden" name="ctid" value="<?=$ctid?>">
													<input type="hidden" name="ipp" value="<?=$ipp?>">
													<input type="hidden" name="sort" value="<?=$sort?>">
													<input type="hidden" name="sortdir" value="<?=$sortdir?>">
													<input type="hidden" name="start" value="<?=$start?>">
													<table width="100%" border="0" cellpadding="0" cellspacing="0" class="gridTable">
														<tr>
															<td valign="top">
																<table width="100%"  border="0" cellpadding="0" cellspacing="1">
																	<!-- NAVIGATION -->
																	<tr>
																		<td colspan="4" class="gridFooter">
																			<table width="100%" border="0" cellspacing="0" cellpadding="0">
																				<tr>
																					<td style='text-align:left'>
																						<?= $navigator; 	?>
																					</td>
																					<td style='text-align:right; padding-right:10px'>
																						Page <?= $pageinfo ?>
																					</td>
																				</tr>
																			</table>
																		</td>
																	</tr>
																	<!-- HEADINGS -->
																	<tr valign="top">
																		<td style="width:20%; height:25px; text-align:left; vertical-align:middle" class="gridHeader">
																			<? $sd = ($sort=='sTitle' && $sortdir=='ASC') ? 'DESC' : 'ASC'; ?>
																			<a href="file_management.php<?=$qs?>&sort=sTitle&sortdir=<?=$sd?>" class="bluenave">File</a>
																		</td>
																		<td style="width:20%; height:25px; text-align:left; vertical-align:middle" class="gridHeader">
																			<? $sd = ($sort=='sFileName' && $sortdir=='ASC') ? 'DESC' : 'ASC'; ?>
																			<a href="file_management.php<?=$qs?>&sort=sFileName&sortdir=<?=$sd?>" class="bluenave">Filename</a>
																		</td>
																		<td style="width:20%; height:25px; text-align:left; vertical-align:middle" class="gridHeader">
																			<? $sd = ($sort=='sType' && $sortdir=='ASC') ? 'DESC' : 'ASC'; ?>
																			<a href="file_management.php<?=$qs?>&sort=sType&sortdir=<?=$sd?>" class="bluenave">File Type</a>
																		</td>
																		<td style="text-align:left; padding-left:20px; vertical-align:middle" class="gridHeader">Action</td>
																		<!--
																		<td align="center" valign="middle" class="gridHeader">
																			<? $sd = ($sort=='nLevel_ID' && $sortdir=='ASC') ? 'DESC' : 'ASC'; ?>
																			<a href="file_management.php<?=$qs?>&sort=nLevel_ID&sortdir=<?=$sd?>" class="bluenave">Membership Level</a>
																		</td>
																		<td align="center" valign="middle" class="gridHeader">
																			<? $sd = ($sort=='nSortOrder' && $sortdir=='ASC') ? 'DESC' : 'ASC'; ?>
																			<a href="file_management.php<?=$qs?>&sort=nSortOrder&sortdir=<?=$sd?>" class="bluenave">Sort Order</a>
																		</td>
																		<td align="center" valign="middle" class="gridHeader">
																			<? $sd = ($sort=='sNavBarLocation' && $sortdir=='ASC') ? 'DESC' : 'ASC'; ?>
																			<a href="file_management.php<?=$qs?>&sort=sNavBarLocation&sortdir=<?=$sd?>" class="bluenave">Nav Bar Location</a>
																		</td>
																		-->
																	</tr>
		
																	<?
																		// Add Sort to QueryString
																		$qs .= sprintf("&sort=%s&type=%s", $_GET['sort'], $_GET['sortdir']);
																	?>
																																	
																	<?php while ($row = mysql_fetch_object($result)) : ?>
																	
																	<!-- PAGE LISTING -->
																	<tr valign="top">
																		<!-- FILES -->
																		<td style="height:25px; vertical-align:middle" class="gridRow1"><?= $row->sTitle ?></td>
																		<!-- FILENAME -->
																		<td style="height:25px; vertical-align:middle" class="gridRow1"><?= $row->sFilename ?></td>
																		<!-- FILE TYPE -->
																		<td style="height:25px; vertical-align:middle" class="gridRow1"><?= $row->sType ?></td>
																		<!-- ACTIONS -->
																		<td style="text-align:left; padding-left:20px" class="gridRow1">
																			<!-- Edit -->
																			<a href="add_file.php<?=$qs?>&flid=<?= $row->nFile_ID ?>" title="Edit File"><img src="images/edit.jpg" alt="Edit File" width="16" height="16" border="0" class="iconspacing"></a>
																			<!--<span>&nbsp;</span>-->
																			<!-- Delete -->
																			<a href="file_management.php<?=$qs?>&flid=<?= $row->nFile_ID; ?>&act=d" class="bluenew" OnClick="return cdel('<?=$row->sTitle ?>');" title="Delete Page"><img src="images/drop.jpg" alt="Delete Page" width="16" height="16" border="0" class="iconspacing"></a>
																			<!--<span>&nbsp;</span>-->
																		</td>
																		<!-- MEMBERSHIP LEVEL -->
																		<!--
																		<td align="center" valign="middle" class="gridRow1">
																			<span class="blue">
																				<select name="mlevel[]">
																					<?
																						foreach ($aLevel as $item) {
																							$selected = ($row->nLevel_ID == $item['nLevel_ID']) ? 'selected' : '';
																							echo sprintf("<option value='%d' %s>%s</option>", $item['nLevel_ID'], $selected, $item['sDescr']);
																						}		
																					?>
																				</select>
																			</span>
																		</td>
																		-->
																		<!-- SORT ORDER -->
																		<!--
																		<td align="center" valign="middle" class="gridRow1">
																			<span class="blue">
																				<input name="disp[]" type="text" class="box" size="3" value="<?= $row->nSortOrder; ?>" />
																				<input type="hidden" name="dd[]" value="<?= $row->nPage_ID; ?>" />
																			</span>
																		</td>
																		-->
																		<!-- NAV BAR LOCATION -->
																		<!--
																		<td align="center" class="gridRow1">
																			<select name="location[]">
																				<option value="top" <?php if ($row->sNavBarLocation == 'top') { echo 'selected="true"'; } ?>>Top</option>
																				<option value="bottom" <?php if ($row->sNavBarLocation == 'bottom') { echo 'selected="true"'; } ?>>Bottom</option>
																			</select>
																		</td>
																		-->
																	</tr>
																	<?php endwhile; ?>
																</table>
															</td>
														</tr>
													</table>
													<!--
													<input type="submit" name="Update" value="Save Changes" class="inputSubmitb" >
													-->
													</td>
												</tr>
											</form>
										</table>
									</td>
								</tr>
							</table>
						</div>
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
<?php include_once('b.php'); ?>
	</body>
</html>